Subject: Re: [PATCH] skbuff more likely/unlikely

From: "David S. Miller" <[email-masked]>
Date: Fri, 3 Oct 2003 00:19:16 -0700

On Thu, 2 Oct 2003 19:34:31 -0700
Mitchell Blank Jr <[email-masked]> wrote:

> Stephen Hemminger wrote:
> > A couple more places where we can help by hinting the compiler
> > for 2.6.0-test6.  If we are pulling off header, is is likely there;
> > and skb alloc's succeed in the normal case.
> > 
> > Thought I saw an earlier similar patch, but here is my take on it.
> 
> Yes, my patch from a couple weeks ago does the same thing (but also
> did a lot in skbuff.c)  I haven't had a chance to rediff and test
> after the const parts went in.  Do you want to adopt the rest of the
> changes?

I applied Stephen's patch here, you can post something relative
to that if you like.